Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntimeimpl
Class STCComRuntimeImpl

    java.lang.Object
      com.stc.connector.comadapter.comruntimeimpl.STCComRuntimeImpl

All Implemented Interfaces:
  STCComRuntime

    public class STCComRuntimeImpl

extends java.lang.Object
implements STCComRuntime

Constructor Summary
`STCComRuntimeImpl()`

Method Summary
`int` | `create(java.lang.String clsidString, java.lang.String server)` Call this method to create an instance of the COM object specified by the CLSID string and server (if DCOM component).
`void` | `initialize()` Call this method to CoInitialize the current thread.
`java.lang.String` | `resolveSystemErrorText(int hr)` A convenience method exposed to allow the user to get the error text for an HRESULT.
`void` | `uninitialize()` Call this method to CoUninitialize the current thread.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCComRuntimeImpl

    public STCComRuntimeImpl()

Method Detail

### initialize

    public void initialize()

  Call this method to CoInitialize the current thread.

  Specified by:
    `initialize` in interface `STCComRuntime`

### uninitialize

    public void uninitialize()

  Call this method to CoUninitialize the current thread.

  Specified by:
    `uninitialize` in interface `STCComRuntime`

### create

    public int create(java.lang.String clsidString,
                      java.lang.String server)
               throws STCComException

  Call this method to create an instance of the COM object specified by the CLSID string and server (if DCOM component).

  Specified by:
    `create` in interface `STCComRuntime`
  Parameters:
    `clsidString` - The CLSID string of the COM object you wish to create. Note that the component must be automation-compatible.
    `server` - The server on which the DCOM component resides.
  Returns:
    Returns an interface handle for the specified CLSID string.
  Throws:
    `STCComException` - if creation of the instance fails.

### resolveSystemErrorText

    public java.lang.String resolveSystemErrorText(int hr)

  A convenience method exposed to allow the user to get the error text for an HRESULT. The Method routes down to the `FormatMessage` method in the Win32 API.

  Specified by:
    `resolveSystemErrorText` in interface `STCComRuntime`
  Parameters:
    `hr` - The HRESULT from the method that failed..
  Returns:
    Error message from operating system, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.